#include<bits/stdc++.h>
using namespace std;
string kq="";
int dn(string s,int k )
{
    if (k==s.length()) return 0;

    kq=kq+s[s.length()-k-1];

    dn(s,k+1);
}
int main()
{
    ifstream fi("dqxau.inp");
    ofstream fo("dqxau.out");
    while (!fi.eof())
    {
        string s;
        kq="";
        getline(fi, s);
        dn(s, 0);
        fo<<kq<<endl;
    }
}
